/* 
BUTTON 
*/
#project_h-button {
    margin-top: var(--size);
    grid-column: -4/-1;
    grid-row: 3;
}

#project_h-button .--icon-cont {
    top: 50%;
    right: var(--size-xs);
    transform: translateY(-50%);
}

#project_h-button .--icon {
    width: auto;
    height: 10px;
    transition: 1000ms;
}
#project_h-button[data-status="open"] .--icon {rotate: 45deg;}


@media only screen and (min-width: 768px) {#project_h-button {grid-row: 2;}}
@media only screen and (min-width: 1096px) {#project_h-button {grid-column: -3/-1;}}



/* 
DESCRIPTION
*/
#project_h-description {
    grid-column: 1/-1;
    grid-row: 4;
    width: 100%;
    margin-top: -1px;
    transition: height 1000ms;
}
#project_h-description[data-status="close"] {height: 0;}

#project_h-description .--container {row-gap: var(--size);}

@media only screen and (min-width: 768px) {#project_h-description {grid-column: -5/-1; grid-row: 3;}}
@media only screen and (min-width: 1096px) {#project_h-description {grid-column: -4/-1;}}